Bug 769958 - Review Request: eqp - Automated theorem prover for first-order equational logic
Review Request: eqp - Automated theorem prover for first-order equational logic
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-22 15:19 EST by John C Peterson
Modified: 2017-04-02 16:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-02 16:53:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review+


Attachments (Terms of Use)
Patch to fix printf on 64-bit systems (13.61 KB, patch)
2011-12-22 18:39 EST, Jerry James
no flags Details | Diff

  None (edit)
Description John C Peterson 2011-12-22 15:19:54 EST
Spec URL: http://www.eskimo.com/~jcp/eqp.spec
SRPM URL: http://www.eskimo.com/~jcp/eqp-09e-1.fc16.src.rpm
Description: EQP is an automated theorem proving program for first-order equational logic. Its strengths are good implementations of associative-commutative unification and matching, a variety of strategies for equational reasoning, and fast search. It seems to perform well on many problems about lattice-like structures.

EQP is not a stable and polished production theorem prover like Otter or Prover9. Since it has obtained several interesting results, it was decided to make it available (including the source code) to everyone, with no restrictions (and of course no warranty either). EQP's documentation is not great, but if you already know Otter, you probably will not have great difficulty in learning to use EQP.
Comment 1 Jerry James 2011-12-22 18:39:17 EST
Created attachment 549255 [details]
Patch to fix printf on 64-bit systems

John, as discussed in email, I'll sponsor you.

I have a few minor preliminary comments, and one showstopper to bring up before doing a full review.  First the showstopper: the license.  The text you quote in eqp-09e-license.patch does NOT say that the authors are abandoning copyright, which is what a public domain declaration amounts to.  It merely says they want to make eqp available to everyone, which they have done by putting it on their web site.  For Fedora's purposes, we need to know that they are granting the rights to redistribute, and to modify.  That can probably be read into the "with no restrictions" clause, but I'm not comfortable making that judgment myself.  You need to either: (1) get the authors to clarify the rights they are granting, preferably with a standard license; or (2) write to fedora-legal-list@redhat.com and see if this statement counts as "Freely redistributable without restriction"; see https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22Distributable.22.  I strongly encourage you to try (1) before (2).

Now for some minor stuff.

The first line of %install and the entire %clean script are not needed in Fedora; rpm automatically removes the build root in both cases.  Likewise, the %defattr in %files is now automatic in Fedora.  They are still needed for RHEL, though, so if you intend to share the spec file between the two distributions, then just leave it as is.  I'll note that I haven't seen the [ "$RPM_BUILD_ROOT" != "/" ] part for years; wow, that takes me back to the time when RPM_BUILD_ROOT *was* "/" and I trashed my system while trying to build an rpm.  I can laugh now, but it wasn't so funny then....  Anyway, rpm hasn't allowed RPM_BUILD_ROOT to be "/" for years, so that part is superfluous, even on RHEL.

The script examples/go pulls in /bin/csh as a dependency.  This is a no-no for documentation; see https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation.  You either need to remove the executable bits from that script, drop the script from %doc altogether, or create a separate subpackage for the examples, with that script in %{_bindir} (suitably renamed, of course).

The patch to use long int on 64 bit systems is being applied whether the system is 64 bit or not.  On 32 bit systems, this leads to warnings like these:

unify.c: In function 'print_unify_mem':
unify.c:142:236: warning: format '%ld' expects argument of type 'long int', but argument 3 has type 'unsigned int' [-Wformat]

See the attached patch for an alternate approach that should work on both 32 and 64 bit systems.

Also, each patch needs a comment about its upstream status; see https://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment.

This is totally up to you, but you could eliminate eqp-09e-makefile.patch by invoking make like this:

make CFLAGS="$RPM_OPT_FLAGS -DTP_RUSAGE" eqp

and then installing like this:

install -m 755 eqp%{version} ${RPM_BUILD_ROOT}%{_bindir}/eqp

That would be one less patch to put an upstream status comment on.
Comment 2 John C Peterson 2011-12-23 16:34:20 EST
Spec URL: http://www.eskimo.com/~jcp/eqp.spec
SRPM URL: http://www.eskimo.com/~jcp/eqp-09e-2.fc16.src.rpm

Jerry - thanks again for sponsoring me.

I think I have fixed all of the minor issues you have raised.

As you suggested, I just eliminated the patch to the Makefile and made the corresponding adjustments to the make command in the %build section.

The "go" script in the examples sub-directory is rather trivial as you can see by inspection, so it really doesn't warrant an examples sub-package. I elected to just remove the executable permission bits. It could also be entirely eliminated from the package if that is in some way preferable.

I eliminated the checks in %install and %clean for RPM_BUILD_ROOT being equal to "/" as you suggested.  Just the thought of that happening is enough to make my hair stand on end, so I have included it in all my personal packages for ages now.  (I guess I am dating myself by including that :^)

Your patch for the printf statements is a much better solution than mine, and as you said, it also works independent of the host architecture.

The issues relating to the licensing are a valid concern of course, but could be a show stopper in this case because there is no upstream to contact regarding this issue (or the filing of bug reports). The author, William McCune, passed away rather suddenly back in May 2011. A shocker to the ATP community for sure as he was only 58!

http://www.cs.unm.edu/~veroff/ADAM/2011/

I will contact fedora-legal-list@redhat.com as you suggested. It's worth a try.

I doubt that it would be of any help in making a legal clarification, but Bill was also the author of Prover9/Mace which is already packaged in Fedora as prover9. That package is licensed under GPLv2 and GPLv2+, but the prover9 source distribution includes a file named COPYING that clearly states that, which is not the case for EQP.
Comment 3 Mario Blättermann 2012-10-06 15:42:48 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4567138

$ rpmlint -i -v *
eqp.src: I: checking
eqp.src: W: spelling-error Summary(en_US) prover -> prove, rover, proverb
The value of this tag appears to be misspelled. Please double-check.

eqp.src: W: spelling-error Summary(en_US) equational -> equalization, equation, equitation
The value of this tag appears to be misspelled. Please double-check.

eqp.src: W: spelling-error %description -l en_US equational -> equalization, equation, equitation
The value of this tag appears to be misspelled. Please double-check.

eqp.src: W: spelling-error %description -l en_US prover -> prove, rover, proverb
The value of this tag appears to be misspelled. Please double-check.

eqp.src: W: spelling-error %description -l en_US usr -> use, us, user
The value of this tag appears to be misspelled. Please double-check.

eqp.src: W: spelling-error %description -l en_US robbins -> ribbons, Robbins, robins
The value of this tag appears to be misspelled. Please double-check.

eqp.src: I: checking-url http://www.cs.unm.edu/~mccune/eqp/ (timeout 10 seconds)
eqp.src: I: checking-url http://www.cs.unm.edu/~mccune/old-ftp/eqp-09e.tar.gz (timeout 10 seconds)
eqp.i686: I: checking
eqp.i686: W: spelling-error Summary(en_US) prover -> prove, rover, proverb
The value of this tag appears to be misspelled. Please double-check.

eqp.i686: W: spelling-error Summary(en_US) equational -> equalization, equation, equitation
The value of this tag appears to be misspelled. Please double-check.

eqp.i686: W: spelling-error %description -l en_US equational -> equalization, equation, equitation
The value of this tag appears to be misspelled. Please double-check.

eqp.i686: W: spelling-error %description -l en_US prover -> prove, rover, proverb
The value of this tag appears to be misspelled. Please double-check.

eqp.i686: I: checking-url http://www.cs.unm.edu/~mccune/eqp/ (timeout 10 seconds)
eqp.i686: W: no-manual-page-for-binary eqp
Each executable in standard binary directories should have a man page.

eqp.x86_64: I: checking
eqp.x86_64: W: spelling-error Summary(en_US) prover -> prove, rover, proverb
The value of this tag appears to be misspelled. Please double-check.

eqp.x86_64: W: spelling-error Summary(en_US) equational -> equalization, equation, equitation
The value of this tag appears to be misspelled. Please double-check.

eqp.x86_64: W: spelling-error %description -l en_US equational -> equalization, equation, equitation
The value of this tag appears to be misspelled. Please double-check.

eqp.x86_64: W: spelling-error %description -l en_US prover -> prove, rover, proverb
The value of this tag appears to be misspelled. Please double-check.

eqp.x86_64: I: checking-url http://www.cs.unm.edu/~mccune/eqp/ (timeout 10 seconds)
eqp.x86_64: W: no-manual-page-for-binary eqp
Each executable in standard binary directories should have a man page.

eqp-debuginfo.i686: I: checking
eqp-debuginfo.i686: I: checking-url http://www.cs.unm.edu/~mccune/eqp/ (timeout 10 seconds)
eqp-debuginfo.x86_64: I: checking
eqp-debuginfo.x86_64: I: checking-url http://www.cs.unm.edu/~mccune/eqp/ (timeout 10 seconds)
eqp.spec: I: checking-url http://www.cs.unm.edu/~mccune/old-ftp/eqp-09e.tar.gz (timeout 10 seconds)
5 packages and 1 specfiles checked; 0 errors, 16 warnings.

No recognizable issues from rpmlint.

Still one objection: The %defattr line is obsolete, even for EPEL 5. Please remove.


However, under normal circumstances I would assign this review request to me and do a full review. But what's the current state of the licensing issue? Is it safe now to accept the current license declaration as is, or does it need some further action?
Comment 4 John C Peterson 2012-10-08 16:14:03 EDT
(In reply to comment #3)
> 
> Still one objection: The %defattr line is obsolete, even for EPEL 5. Please
> remove.
> 
> 
> However, under normal circumstances I would assign this review request to me
> and do a full review. But what's the current state of the licensing issue?
> Is it safe now to accept the current license declaration as is, or does it
> need some further action?

Hi Mario,

Thanks for taking the time to get involved with my package review.

The folks on fedora legal were not comfortable with parts of the EQP license. They noted there was no specific mention of the right to distribute modified copies of the software, and wanted clarification of that before they would approve it.

Sadly, the EQP author, Bill McCune passed away in May 2011. This certainly makes it more difficult to resolve the copyright issues in question. However, all is not lost. My suspicion is that the legal holder of the copyright is the organization that funded his work.

I was initially a bit discourgaed about all this, but it is certainly worth sending out a few emails to the right folks at Argonne National Labs where Bill was working during most of the development of EQP to see if they can help us with these issues.

For what it's worth, both EQP and Bill's other famous theorem prover, Otter, are packaged in Debian (which takes copyright issues seriously).

John

P.S. I will modify the spec file to incorporate your recommended changes.
Comment 5 Mario Blättermann 2012-10-21 14:35:15 EDT
Anyway, I take this for a full review.
Comment 6 John C Peterson 2012-11-01 18:25:56 EDT
Of course, it's not over until 'the fat lady sings", but a bit of encouraging news on the license issue that is currently holding things up with legal.

I managed to get in contact with the group at Argonne National Laboratory where the (now deceased) EQP author was employed during most of the time it was being developed. We had a couple e-mail exchanges, and I think I sucessfully communicated to them what the issues were regarding the copyright. I don't know how long it will take to get clarification, but they have graciously agreed to look into it.

In the meantime, I removed the defattr tag as requested.

Here are the updated SPEC, SRPM files:

Spec URL: http://jcp.fedorapeople.org/eqp.spec
SRPM URL: http://jcp.fedorapeople.org/eqp-09e-3.fc17.src.rpm
Comment 7 Jason Tibbitts 2013-04-28 19:01:51 EDT
As far as I can tell, this is still blocked on legal issues, so adding the FE-Legal blocker.
Comment 8 Tom "spot" Callaway 2013-04-29 10:56:40 EDT
John, if there is anything I can do to help out you or Argonne, just let me know.
Comment 9 James Hogarth 2015-12-03 22:39:39 EST
John is there any progress on cleaning up the legal situation?
Comment 10 John C Peterson 2015-12-04 17:52:14 EST
Hello James,

The short answer is no.

As I noted in my post dated 2012-11-01, I did get into contact with the organization at Argonne National Laboratory (ANL), where the (now deceased) EQP author was employed when the original work was performed.

There wasn't any formal procedure at ANL for the licensing or distribution of software when the code was first released. Consequently, the EQP software is not even in their own database of ANL developed software. They pretty much just gave me pointers to the "license" that is shown on the project home page (links below). I can forward those emails from ANL to anyone who is interested. 

http://www.mcs.anl.gov/research/projects/AR/eqp/
http://www.cs.unm.edu/~mccune/eqp/

If that "license" is not adequate, then the matter should be considered closed. My feeling is that it's highly unlikely ANL will be inclined to provide any further clarification above and beyond that.
Comment 11 Tom "spot" Callaway 2015-12-07 09:22:23 EST
I revisited this issue with the Red Hat Legal team and they feel comfortable with us treating the "license declaration" on the eqp page as a Public Domain declaration. Use License: Public Domain.

Lifting FE-Legal.
Comment 12 Upstream Release Monitoring 2015-12-15 02:38:31 EST
jcp's scratch build of eqp-09e-4.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12194820
Comment 13 John C Peterson 2016-01-06 17:06:18 EST
Hello,

I have taken a fresh look at the eqp package now that Fedora Legal has given the green light on the license (see comment 11 above).

I ran fedora-review, and it identified one small problem that I have corrected (added %{?_sparse_mflags} to the make command line to enable parallel builds). I also did some scratch builds (rawhide, f23) to verify that everything still builds correctly.

Mario: Do you still have time to review this package? No big hurry...

Here are the updated SPEC, SRPM files:

Spec URL: http://www.eskimo.com/~jcp/eqp.spec
SRPM URL: http://www.eskimo.com/~jcp/eqp-09e-4.fc23.src.rpm
Comment 14 Orion Poplawski 2017-03-10 23:06:43 EST
Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18312354

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Perhaps an example could be run in %check as a test?

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 48 files have unknown license. Detailed
     output of licensecheck in
     /export/home/orion/redhat/769958-eqp/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 27 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eqp-09e-4.fc27.x86_64.rpm
          eqp-09e-4.fc27.src.rpm
eqp.x86_64: W: only-non-binary-in-usr-lib
eqp.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eqp.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
eqp.x86_64: W: no-manual-page-for-binary eqp
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: eqp-debuginfo-09e-4.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
eqp (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
eqp:
    eqp
    eqp(x86-64)



Source checksums
----------------
http://www.cs.unm.edu/~mccune/old-ftp/eqp-09e.tar.gz :
  CHECKSUM(SHA256) this package     : ad3cfc1e6538be311173f6600254a548151f7b1e6b526c5151d162cbe21db9b1
  CHECKSUM(SHA256) upstream package : ad3cfc1e6538be311173f6600254a548151f7b1e6b526c5151d162cbe21db9b1


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 769958 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 15 John C Peterson 2017-03-13 17:24:52 EDT
Hello Orion,

Thank you for taking time to review my package submission.

I reviewed the licensing page on the Fedora project wiki (http://fedoraproject.org/wiki/Packaging/LicensingGuidelines). My inclination is to heed what is stated in the paragraph in the section titled "License Clarification". In particular, it states; "A copy of the email, containing full headers, must be included as a source file (marked as %license) in the package."

The LICENSE file I created for the latest package is just a copy of what was on the website that suggest the intended license is Public Domain. I propose to; 1) Add the emails I got from Argonne National Lab to the exisiting LICENSE file, 2) Move the LICENSE filename from the %doc tag to %license as that is now the accepted practice.

On the other hand, the output of Fedora review states; "If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %license."

My inclination is to proceed with the former and include the augmented LICENSE file for clarification. Your thoughts?

P.S. Will also add a %check section that runs some of the provided examples...
Comment 16 Orion Poplawski 2017-03-13 23:32:50 EDT
Yes, add the extra info to the LICENSE file and include as %license.
Comment 17 John C Peterson 2017-03-20 16:19:28 EDT
I have posted an updated SRPM as noted below.

I added the emails I got from Argonne National Lab in response to my query for clarification of the license terms to the LICENSE file. In the spec file, I moved LICENSE from %doc to the %license macro in the %files section.

When running eqp, the output contains some dynamic information such as run date/time stamps, and CPU time used. This makes it complicated to test the program using a simple diff command on the output produced. However, eqp returns a status code of 10 to the shell when a proof is found. I used this feature to construct a %check section in the spec file. It runs the executable on some of the provided examples and checks for the expected return status code of 10 to determine success / failure.

A scratch build of the updated SRPM against rawhide here;
https://koji.fedoraproject.org/koji/taskinfo?taskID=18494235

Spec URL: http://www.eskimo.com/~jcp/eqp.spec
SRPM URL: http://www.eskimo.com/~jcp/eqp-09e-5.fc25.src.rpm
Comment 18 Orion Poplawski 2017-03-21 00:03:12 EDT
Looks good.  Approved.
Comment 19 Gwyn Ciesla 2017-03-21 17:12:00 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/eqp
Comment 20 Fedora Update System 2017-03-23 20:04:38 EDT
eqp-09e-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-91f9f7704e
Comment 21 Fedora Update System 2017-03-23 20:07:05 EDT
eqp-09e-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-293791117e
Comment 22 Fedora Update System 2017-03-24 10:53:18 EDT
eqp-09e-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-293791117e
Comment 23 Fedora Update System 2017-03-24 16:24:49 EDT
eqp-09e-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-91f9f7704e
Comment 24 Fedora Update System 2017-04-02 16:53:12 EDT
eqp-09e-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2017-04-02 16:59:42 EDT
eqp-09e-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.